Subject: Re: bug#10895: Quirky behaviours with Arabic text

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Aug 2020 07:32:53 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 17 Aug 2020 22:34:35 +0000
> Cc: [email-masked]
> 
> > 1) in some fonts (e.g. courier New), the vowel marks (harakaat) are
> > not displayed, despite the fact that the texts contains them. However,
> > if the cursor passes over the relevant text, moving in the
> > right-to-left direction, the vowel marks become visible. Curiously, if
> > the cursor passes back on the text, moving in the left-to-right
> > direction, the vowel marks disappear.
> > This problem manifests itself in different ways according to the font used.
> > With other fonts, the problem is only partial: only part of the
> > diacritic signs is visible, and by passing over them with the cursor
> > (from right to left), they become fully visible. When passing over the
> > text in the opposite direction, they again become half-visible.
> >
> > 2) the rendering of the vowel marks is poor even when they are
> > displayed. For instance, vowel marks partially overlap some of the
> > letters, e.g. the kasrah sign overlaps the two dots of the letter yaa.
> >
> > 3) vowel marks are not always in synch with the main text, so that
> > they sometimes appear in a displaced position (e.g. on the previous
> > letter). This is totally unacceptable, of course.
> >
> > Bottomline: there are multiple problems with the visual rendering of
> > the diacritics.
> 
> (That was 8 years ago.)
> 
> Do you still see this on a recent version of Emacs, such as the recently
> released version 27.1?
> 
> Would this have been fixed by the recent addition of harfbuzz support?

I think those problems were fixed long ago, but let's wait for the OP
to confirm, if possible.